<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
  <xsl:template match="/Invoice">
    <Invoice>
      <xsl:call-template name="OutputHeader"/>
      <xsl:call-template name="OutputShipTo"/>
      <xsl:apply-templates select="InvoiceLine"/>
    </Invoice>
  </xsl:template>
  <xsl:template name="OutputHeader">
    <Header>
      <CustomerNumber>
        <xsl:value-of select="InvoiceLine[1]/CustomerNumber"/>
      </CustomerNumber>
      <InvoiceNumber>
        <xsl:value-of select="InvoiceLine[1]/InvoiceNumber"/>
      </InvoiceNumber>
      <InvoiceDate>
        <xsl:value-of select="InvoiceLine[1]/InvoiceDate"/>
      </InvoiceDate>
      <PONumber>
        <xsl:value-of select="InvoiceLine[1]/PONumber"/>
      </PONumber>
      <DueDate>
        <xsl:value-of select="InvoiceLine[1]/DueDate"/>
      </DueDate>
    </Header>
  </xsl:template>
  <xsl:template name="OutputShipTo">
  <ShipTo>
    <ShipToName>
        <xsl:value-of select="InvoiceLine[1]/ShipToName"/>
    </ShipToName>
    <ShipToStreet1>
        <xsl:value-of select="InvoiceLine[1]/ShipToStreet1"/>
    </ShipToStreet1>
    <ShipToStreet2>
        <xsl:value-of select="InvoiceLine[1]/ShipToStreet2"/>
    </ShipToStreet2>
    <ShipToCity>
        <xsl:value-of select="InvoiceLine[1]/ShipToCity"/>
    </ShipToCity>
    <ShipToStateOrProvince>
        <xsl:value-of select="InvoiceLine[1]/ShipToStateOrProvince"/>
    </ShipToStateOrProvince>
    <ShipToPostalCode>
        <xsl:value-of select="InvoiceLine[1]/ShipToPostalCode"/>
    </ShipToPostalCode>
    <ShipToCountry>
        <xsl:value-of select="InvoiceLine[1]/ShipToCountry"/>
    </ShipToCountry>
  </ShipTo>
  </xsl:template>
  <xsl:template match="InvoiceLine">
  <LineItemGroup>
    <LineItem>
      <ItemID>
        <xsl:value-of select="ItemID"/>
      </ItemID>
      <ItemQuantity>
        <xsl:value-of select="ItemQuantity"/>
      </ItemQuantity>
      <UnitPrice>
        <xsl:value-of select="UnitPrice"/>
      </UnitPrice>
      <ExtendedPrice>
        <xsl:value-of select="ExtendedPrice"/>
      </ExtendedPrice>
    </LineItem>
    <ItemDescription>
      <Description>
        <xsl:value-of select="ItemDescription"/>
      </Description>
    </ItemDescription>
  </LineItemGroup>
  </xsl:template>
</xsl:stylesheet>
