<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
  <xsl:template match="/Invoice">
    <Invoice>
      <xsl:apply-templates select="LineItemGroup"/>
    </Invoice>
  </xsl:template>
  <xsl:template match="LineItemGroup">
  <InvoiceLine>
    <CustomerNumber>
      <xsl:value-of select="/Invoice/Header/CustomerNumber"/>
    </CustomerNumber>
    <InvoiceNumber>
      <xsl:value-of select="/Invoice/Header/InvoiceNumber"/>
    </InvoiceNumber>
    <InvoiceDate>
      <xsl:value-of select="/Invoice/Header/InvoiceDate"/>
    </InvoiceDate>
    <PONumber>
      <xsl:value-of select="/Invoice/Header/PONumber"/>
    </PONumber>
    <DueDate>
      <xsl:value-of select="/Invoice/Header/DueDate"/>
    </DueDate>
    <ShipToName>
      <xsl:value-of select="/Invoice/ShipTo/ShipToName"/>
    </ShipToName>
    <ShipToStreet1>
      <xsl:value-of select="/Invoice/ShipTo/ShipToStreet1"/>
    </ShipToStreet1>
    <ShipToStreet2>
      <xsl:value-of select="/Invoice/ShipTo/ShipToStreet2"/>
    </ShipToStreet2>
    <ShipToCity>
      <xsl:value-of select="/Invoice/ShipTo/ShipToCity"/>
    </ShipToCity>
    <ShipToStateOrProvince>
      <xsl:value-of select="/Invoice/ShipTo/ShipToStateOrProvince"/>
    </ShipToStateOrProvince>
    <ShipToPostalCode>
      <xsl:value-of select="/Invoice/ShipTo/ShipToPostalCode"/>
    </ShipToPostalCode>
    <ShipToCountry>
      <xsl:value-of select="/Invoice/ShipTo/ShipToCountry"/>
    </ShipToCountry>
    <ItemID>
      <xsl:value-of select="LineItem/ItemID"/>
    </ItemID>
    <ItemQuantity>
      <xsl:value-of select="LineItem/ItemQuantity"/>
    </ItemQuantity>
    <UnitPrice>
      <xsl:value-of select="LineItem/UnitPrice"/>
    </UnitPrice>
    <ItemDescription>
      <xsl:value-of select="ItemDescription/Description"/>
    </ItemDescription>
    <ExtendedPrice>
      <xsl:value-of select="LineItem/ExtendedPrice"/>
    </ExtendedPrice>
  </InvoiceLine>
  </xsl:template>
</xsl:stylesheet>
