<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
  <!--Declare the catalog document and read it in -->
  <xsl:variable name="vCat" select="document('ItemsCatalog.xml')"/>
  <!--Template for root element of result tree -->
  <xsl:template match="/OrderedItems">
    <LineItems>
      <xsl:apply-templates select="LineItem"/>
    </LineItems>
  </xsl:template>
  <!--This is the template for a line item in our result tree -->
  <xsl:template match="LineItem">
    <!--Grab the UPC Number so that it is available within the context of the select from the catalog -->
    <xsl:variable name="vUPC" select="ItemUPC"/>
    <Item>
        <ItemID>
          <!-- Select the Item from the catalog-->
          <xsl:value-of select="$vCat/Catalog/Item/ID[../UPC = $vUPC]"/>
      </ItemID>
      <OrderedQty>
        <xsl:value-of select="Qty"/>
      </OrderedQty>
      <UnitPrice>
        <xsl:value-of select="UnitPrice"/>
      </UnitPrice>
    </Item>
  </xsl:template>
</xsl:stylesheet>
